﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.IO;
using CSharpSamples_Khoshamoz.OOP;
using System.Text.RegularExpressions;

namespace CSharpSamples_Khoshamoz.Samples
{
    public partial class FrmSample051 : Form
    {
        public FrmSample051()
        {
            InitializeComponent();
        }

        private void btnDo_Click(object sender, EventArgs e)
        {


            string source = txtSource.Text;
            var Matches = Regex.Matches(source, txtRegex.Text,RegexOptions.Compiled);

            txtResult.Text = "";
            foreach (var item in Matches)
            {
                txtResult.Text += item ;
                if (chkNewLineInResult.Checked == true)
                {
                    txtResult.Text += Environment.NewLine;
                }
            }

        }

        private void FrmSample051_Load(object sender, EventArgs e)
        {
            string source = @"Intranet Servers:    192.168.0.10/192.168.0.11/192.168.0.12
                SQL Server:          192.168.0.20
                Integration Servers: 192.168.0.30 (MSMQ)
                                     192.168.0.40 (Services)";
            txtSource.Text = source;

            string regEx = @"\d{1,3}.\d{1,3}.\d{1,3}.\d{1,3}";

            txtRegex.Text = regEx;

        }




    }
}
